import { Component, Inject, OnInit } from '@angular/core';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';
import { statesetfordialog } from '../main-details/main-details.component';

export interface DialogData {
  comment: string;
  instance: string;
  name?: string;
  isInstance?: boolean;
  currentInstance?: any,
  currentSection?: any,
  selectedValue?: any,
}

@Component({
  selector: 'app-course-dialog-component',
  templateUrl: './course-dialog-component.component.html',
  styleUrls: ['./course-dialog-component.component.scss']
})
export class CourseDialogComponentComponent implements OnInit {
  stateSet = statesetfordialog;
  //selectedValue?: string;


  constructor(
    public dialogRef: MatDialogRef<CourseDialogComponentComponent>,
    @Inject(MAT_DIALOG_DATA) public data: DialogData,) { }

  ngOnInit(): void { }

  onNoClick(): void {

    this.dialogRef.close();
  }

}
